From 00535ea623e9288de9ea610baa0868c24c6892ff Mon Sep 17 00:00:00 2001
From: Daniel van der Schuur <schuur@astron.nl>
Date: Thu, 9 Nov 2017 11:22:06 +0000
Subject: [PATCH] -Added BSN check.

---
 applications/apertif/commissioning/dish_status.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/applications/apertif/commissioning/dish_status.sh b/applications/apertif/commissioning/dish_status.sh
index 4dc2e024d5..0e443692c3 100755
--- a/applications/apertif/commissioning/dish_status.sh
+++ b/applications/apertif/commissioning/dish_status.sh
@@ -160,6 +160,17 @@ else
         exit 1
     fi
 
+    ###############################################################################
+    # Check if the back node BSNs are close enough
+    ###############################################################################
+    NOF_ERR=$(python $UPE/peripherals/pi_bsn_scheduler.py --unb 0:7 --bn 0:3 -n 0 | grep Difference | grep Error -c)
+    if [ "$NOF_ERR" == "0" ]; then
+        echo dish_status.sh: Passed - Back node BSN difference OK 
+    else
+        echo dish_status.sh: Error - Back node BSN difference wrong
+        exit 1
+    fi
+
     ###############################################################################
     # Get number of BSN timeouts
     # . FIXME Read 2 times as workaround for too tight BSN timeout parameter in VHDL
-- 
GitLab